import request from '@/utils/request'

// 查询工厂模型列表
export function listFactory(query) {
	return request({
		url: '/wms/factory/list',
		method: 'get',
		params: query
	});
}

// 查询工厂模型详细
export function getFactory(factoryId) {
	return request({
		url: '/wms/factory/' + factoryId,
		method: 'get'
		});
}

// 新增工厂模型
export function addFactory(data) {
	return request({
		url: '/wms/factory',
		method: 'post',
		data: data
	});
}

// 修改工厂模型
export function updateFactory(data) {
	return request({
		url: '/wms/factory',
		method: 'put',
		data: data
	});
}

// 删除工厂模型
export function delFactory(factoryId) {
	return request({
		url: '/wms/factory/' + factoryId,
		method: 'delete'
	});
}
